Subject: [nemo] comments on draft-paakkonen-nemo-prefix-delegation-00.txt

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 18 Jul 2003 17:14:21 -0700

hi Pekka and Juhani,

this draft is a very good alternative to using DHCPv6
for prefix delegation (however, I will let the WG decide 
if we need an alternative to DHCPv6 for NEMO prefix 
delegation).

some comments

>       MNP Delegator Query (0)
> 
>         The MNP Delegator Query message is used by the MR to query MNP   
>       delegators (HAs) and their abilities to delegate MNP(s). This 
>       message is sent to MR's HA during the MNP Query sequence.
> 
> 
>       MNP Delegator (4)      
> 
>         A MNP Delegator message is sent by the HA during MNP Query 
>       sequence. It is used to inform MR of MNP(s) HA is capable of 
>       delegating.

I suggest getting rid of these two messages. the HA can 
always respond with MNP Unavailable in response to a
MNP Request message. do you need a query round before
the request?

> 5.3.2 MNP Data Option
> 
>   MNP Data Option holds MNP information related to a single MNP.
> 
> Option format:
> 
>   0                   1                   2                   3
>   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>  |     Type      |     Preferred lifetime                        |           
>  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>  |               |     Valid lifetime                            | 
>  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>  |               | Prefix length | IPv6 prefix (16 octets)       |
>  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+                               |                                                               
>  |                                                               |
>  |                                                               |
>  |                                                               |
>  |                               +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+                                
>  |                               |     Match     |
>  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

I dont think you need both a valid lifetime and preferred
lifetime field. in your examples in section 5.5 you always
set both lifetime fields to the same value :). here is a 
new format with an alignment requirement of 8n+1

   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
                  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
                  |    Type       | Prefix Length |   Match      
|           
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |                       Lifetime                                |      
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  |                                                               |
  +                                                              
+                                                               
  |                                                               |
  +                     IPv6 Prefix                               +
  |                                                               |
  +                                                               +
  |                                                              
|        
  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

> After the MR has queried
> the capabilities of its HAs with this sequence, MR should advance to 
> MNP Delegation sequence with the chosen HA to proceed with MNP 
> delegation.

this is clearly not needed. if the HA responds with MNP
Unavailable in case it cant delegate a prefix, you can
do the same in two round trips. OTOH if the HA can
delegate a prefix, you can have a prefix delegated in
just one round trip.

> If these checks are not valid, HA MUST silently ignore the message. 

the HA should generate an ICMP error message instead of 
silently dropping the message.

I just skimmed the rest of the draft. IMHO, you can get 
rid of section 5.5. there isnt much in it. it would 
make the draft shorter.

Vijay